Method: projects.locations.reports.create

Creates a new report.

This initiates a long-running operation that, upon completion, results in a report resource. Once the report is created, its results can be read via reports.read.

HTTP request

POST https://appoptimize.googleapis.com/v1beta/{parent=projects/*/locations/*}/reports

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent Google Cloud project that will own the report.

This value does not define the scope of the report data. See Report.scope for setting the data scope.

Format: projects/{project}/locations/{location}.

Query parameters

Parameters
reportId

string

Required. The ID to use for this report. This ID must be unique within the parent project and should comply with RFC 1034 restrictions (letters, numbers, and hyphen, with the first character a letter, the last a letter or a number, and a 63 character maximum).

Request body

The request body contains an instance of Report.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • appoptimize.reports.create

For more information, see the IAM documentation.